//
// Model for traffic induced by worm.
//
// @author Michael Liljenstam, ISTS, Dartmouth College
//
// $Id: WormTrafficState.java,v 1.1 2003/03/01 21:13:20 mili Exp $

package SSF.App.Worm;


/**
 *  Abstract base class for local state for model of worm induced scan 
 *  traffic.
 */
public abstract class WormTrafficState {
    public AS myAS;

    public WormTrafficState(AS _myAS) {
	myAS = _myAS;
    }
      
    /** State update */
    abstract public void update();

} // class WormTrafficState


